## davical 1.1.9.3

=== debian/changelog ===
davical (1.1.9.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Stop using rst2pdf that might not be in bullseye. (Closes: #962653)

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Jul 2020 12:34:48 +0300

davical (1.1.9.3-1) unstable; urgency=medium

  * New upstream release to support AWL 0.61
  * Restore rst2pdf dependency removed in 1.1.9.2
  * Use d/davical.maintscript instead of individual calls to rm_conffile
  * Amend d/upstream/metadata (add Bug-Database)
  * Update copyright years
  * Declare compliance with Debian Policy 4.5.0

 -- Florian Schlichting <fsfs@debian.org>  Mon, 13 Apr 2020 22:11:31 +0200

=== debian/control ===
Source: davical
Section: web
Priority: optional
Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
Uploaders: Andrew McMillan <awm@debian.org>,
 Florian Schlichting <fsfs@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12),
 dh-exec,
 jdupes,
 libawl-php (>= 0.61-1~), libawl-php (<< 0.62),
 gettext,
 doxygen,
 php-cli | php5-cli
Vcs-Git: https://gitlab.com/davical-project/davical.git
Vcs-Browser: https://gitlab.com/davical-project/davical
Homepage: https://www.davical.org/

Package: davical
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libawl-php (>= 0.61-1~), libawl-php (<< 0.62),
 libdbd-pg-perl,
 libyaml-perl,
 php | php5,
 php-cli | php5-cli,
 php-pgsql | php5-pgsql,
 php-xml | php5,
 postgresql-client
Recommends: php-curl | php5-curl,
 postgresql
Suggests: php-ldap | php5-ldap
Description: PHP CalDAV and CardDAV Server
 The DAViCal CalDAV Server is designed to store CalDAV calendars and
 CardDAV addressbooks, such as those from Evolution, Sunbird/Lightning,
 Mulberry, iCal, iPhone or SOHO Organizer, in a central location,
 providing shared calendars, free/busy publication and a
 basic administration interface.

Package: davical-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: PHP CalDAV and CardDAV Server - technical documentation
 The DAViCal CalDAV Server is designed to store CalDAV calendars and
 CardDAV addressbooks, such as those from Evolution, Sunbird/Lightning,
 Mulberry, iCal, iPhone or SOHO Organizer, in a central location,
 providing shared calendars, free/busy publication and a
 basic administration interface.
 .
 This package contains detailed technical documentation for the
 classes and methods in the DAViCal programs. Some user-centric
 configuration documentation is also included.

## davical 1.1.10

=== Makefile ===
#!/usr/bin/make -f
#

package := davical
majorversion := $(shell sed -n 's:\([0-9\.]*\)[-a-f0-9-]*:\1:p' VERSION)
gitrev := 0
version := $(majorversion)
issnapshot := 0
snapshot : gitrev = $(shell git rev-parse --short HEAD)
snapshot : version = $(majorversion)-git$(gitrev)
snapshot : issnapshot = 1

.PHONY: nodocs
nodocs: htdocs/always.php built-locale

.PHONY: all
all: htdocs/always.php built-docs built-locale

built-docs: docs/phpdoc.ini docs/Doxyfile inc/*.php docs/translation.rst
	doxygen docs/Doxyfile || apigen generate --quiet --title=DAViCal --todo --tree --deprecated -s inc --exclude caldav-client.php -d docs/api || phpdoc -c docs/phpdoc.ini || echo "NOTICE: Failed to build API docs"
	rst2pdf docs/translation.rst || echo "NOTICE: Failed to build ReST docs"
	touch $@

built-locale: po/*.po
	for LOCALE in `ls po/*.po | cut -f2 -d/ | cut -f1 -d.` ; do \
	    [ "$${LOCALE}" = "en" ] && continue; \
	    mkdir -p locale/$${LOCALE}/LC_MESSAGES; \
	    msgfmt po/$${LOCALE}.po -o locale/$${LOCALE}/LC_MESSAGES/davical.mo; \
	done
	touch $@

#
# Insert the current version number into always.php
#
htdocs/always.php: inc/always.php.in scripts/build-always.sh VERSION dba/davical.sql
	scripts/build-always.sh <$< >$@

#
# recreate translations
#
.PHONY: translations
translations:
	scripts/po/rebuild-translations.sh

#
# Build a release .tar.gz file in the directory above us
#
.PHONY: release
release: built-docs VERSION
	-ln -s . $(package)-$(version)
	sed 's:@@VERSION@@:$(majorversion):' davical.spec.in | \
	sed 's:@@ISSNAPSHOT@@:$(issnapshot):' | \
	sed 's:@@GITREV@@:$(gitrev):' > davical.spec
	echo "git ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:"
	tar czf ../$(package)-$(version).tar.gz \
	    --no-recursion --dereference $(package)-$(version) \
	    $(shell git ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
	    $(shell find $(package)-$(version)/docs/api/ ! -name "phpdoc.ini" ) \
	    davical.spec
	rm $(package)-$(version)

.PHONY: snapshot
snapshot: release

.PHONY: test
test:
	@for PHP in htdocs/*.php inc/*.php; do php -l $${PHP} | grep -v 'No syntax errors detected' >> test-syntax; done; \
	    if [ -s test-syntax ]; then \
	    	cat test-syntax >&2; \
		rm test-syntax; \
		exit 1; \
	    else \
		rm test-syntax; \
		exit 0; \
	   fi



.PHONY: clean
clean:
	rm -f built-docs built-locale
	rm -rf docs/api locale
	-rm -rf testing/tests/*/diffs testing/tests/*/results testing/tests/*/initial.dbdump
	-find . -name "*~" -delete
	rm -f docs/translation.pdf
	rm -f davical.spec

=== debian/changelog ===
davical (1.1.10-1) unstable; urgency=medium

  * New upstream release (closes: #703388)
  * Depend on AWL 0.62
  * Bump debhelper compat to level 13 (no changes necessary)
  * Bump d/watch to version 4 (no changes necessary)
  * Update copyright years
  * Add Rules-Requires-Root: no
  * Declare compliance with Debian Policy 4.5.1

 -- Florian Schlichting <fsfs@debian.org>  Mon, 01 Mar 2021 21:24:31 +0800

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,23 @@
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
  dh-exec,
  jdupes,
- libawl-php (>= 0.61-1~), libawl-php (<< 0.62),
+ libawl-php (>= 0.62-1~), libawl-php (<< 0.63),
  gettext,
  doxygen,
  php-cli | php5-cli
 Vcs-Git: https://gitlab.com/davical-project/davical.git
 Vcs-Browser: https://gitlab.com/davical-project/davical
 Homepage: https://www.davical.org/
+Rules-Requires-Root: no
 
 Package: davical
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- libawl-php (>= 0.61-1~), libawl-php (<< 0.62),
+ libawl-php (>= 0.62-1~), libawl-php (<< 0.63),
  libdbd-pg-perl,
  libyaml-perl,
  php | php5,

## davical 1.1.11

=== debian/changelog ===
davical (1.1.11-1) unstable; urgency=medium

  * New upstream release(closes: #1004285, #1004393)
  * Depend on AWL 0.63
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.1

 -- Florian Schlichting <fsfs@debian.org>  Tue, 04 Oct 2022 13:56:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
  dh-exec,
  jdupes,
- libawl-php (>= 0.62-1~), libawl-php (<< 0.63),
+ libawl-php (>= 0.63-1~), libawl-php (<< 0.64),
  gettext,
  doxygen,
  php-cli | php5-cli
@@ -20,7 +20,7 @@
 Package: davical
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- libawl-php (>= 0.62-1~), libawl-php (<< 0.63),
+ libawl-php (>= 0.63-1~), libawl-php (<< 0.64),
  libdbd-pg-perl,
  libyaml-perl,
  php | php5,

## davical 1.1.12

=== Makefile ===
--- 
+++ 
@@ -71,9 +71,11 @@
 		exit 1; \
 	    else \
 		rm test-syntax; \
+		echo "OK (Syntax checked)"; \
 		exit 0; \
 	   fi
-
+	# run phpunit tests
+	phpunit testing/phpunit
 
 
 .PHONY: clean

=== debian/changelog ===
davical (1.1.12-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Update latest patch to PHPUnit 12 syntax (Closes: #1099659)

 -- David Prévot <taffit@debian.org>  Thu, 25 Sep 2025 08:27:38 +0200

davical (1.1.12-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add support for PHPUnit 10 (Closes: #1039746)

 -- David Prévot <taffit@debian.org>  Tue, 14 Jan 2025 13:45:14 +0100

davical (1.1.12-2) unstable; urgency=medium

  * Cherry-pick two bug fixes from upstream:
    + use "." to concatenate strings, not "+" (gitlab #288)
    + Add a missing space to a SQL statement to fix adding groups (gitlab #294)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 01 May 2023 00:29:20 +0200

davical (1.1.12-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Remove 1 maintscript entries from 1 files.

  [ Florian Schlichting ]
  * New upstream release
  * Depend on AWL 0.64
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.2
  * Update lintian overrides (.txt is not necessarily documentation)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 13 Mar 2023 21:59:44 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

get-orig-source:
	make clean
	git clean -idx
	tar cJf ../davical_$(DEB_VERSION_UPSTREAM).orig.tar.xz --exclude-vcs --exclude=.gitattributes --exclude=debian .

%:
	dh $@

override_dh_auto_build:
	make all

override_dh_install:
	dh_install
	rm debian/davical/usr/share/davical/htdocs/.htaccess || true
	rm -f debian/davical/usr/share/doc/davical/examples/apache-davical.conf \
	      debian/davical/usr/share/doc/davical/examples/example-config.php
	sed -i -e '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|' debian/davical/usr/share/davical/dba/update-davical-database

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installdocs:
	dh_installdocs
	find debian/davical-doc/ -name '*.md5' -delete
	jdupes -rl debian/davical-doc/

=== debian/tests/control ===
# https://people.debian.org/~eriberto/README.package-tests.html
Tests: syntax, phpunit
Depends: davical, php-cli, phpunit
